Subject: Re: [Lsr] Question about OSPF (transit area routing loop)

From: Sergey SHpenkov <[email-masked]>
Date: Tue, 3 Mar 2020 21:58:19 +0300

Hi Acee,

To solve this problem, before starting 16.3, it is possible that all ABR
routers (virtual endpoints) should update the cost of routes for ABRS (if
these routes exist in the backbone area) from all virtual neighbors in the
transit area, regardless of whether these costs have been improved or
worsened.

For example, router ABR_3 first checks sumLSA-4 from virtual neighbor ABR_1
in the transit area 0.0.0.200 and updates the cost for ABRS to 300 in the
backbone area. After that, the calculation begins on the router ABR_3 16.3.

It is a bad idea? :)

Thansk,
Sergey

пн, 2 мар. 2020 г. в 00:51, Acee Lindem (acee) <[email-masked]>:

> Hi Sergey,
>
> Seems it is a real problem that needs a solution. Let’s continue the
> discussion.
>
> Thanks,
>
> Acee
>
>
>
> *From: *Sergey SHpenkov <[email-masked]>
> *Date: *Sunday, March 1, 2020 at 4:41 PM
> *To: *Acee Lindem <[email-masked]>
> *Subject: *Re: [Lsr] Question about OSPF (transit area routing loop)
>
>
>
> Hi Acee,
>
> Please tell me the discussion on the topic of "Question about OSPF
> (transit area routing loop)" can be considered complete?
>
> Thanks,
> Sergey
>

---

From: Sergey SHpenkov <[email-masked]>
Date: Wed, 4 Mar 2020 14:03:12 +0300

Hi Acee,

Fixed errata in a previous my post.

To solve this problem, before starting 16.3, it is possible that all ABR
routers (virtual endpoints) should update the cost of routes for all ASBRs
(if
these routes exist in the backbone area) from all virtual neighbors in the
transit area, regardless of whether these costs have been improved or
worsened.

For example, router ABR_3 first checks sumLSA-4 from virtual neighbor ABR_1
in the transit area 0.0.0.200 and updates the cost for ASBR to 300 in the
backbone area. After that, the calculation begins on the router ABR_3 16.3.

It is a bad idea?

Thanks,
Sergey

вт, 3 мар. 2020 г. в 21:58, Sergey SHpenkov <[email-masked]>:

> For example, router ABR_3 first checks sumLSA-4 from virtual neighbor
> ABR_1 in the transit area 0.0.0.200 and updates the cost for ABRS to 300 in
> the backbone area. After that, the calculation begins on the router ABR_3
> 16.3.
>
> It is a bad idea? :)
>
> Thansk,
> Sergey
>

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 5 Mar 2020 22:38:15 +0000

Hi Sergey, OSPF adherents,
I think what you are proposing is that ASBR 3 prefers an inter-area path over a transit area over an intra-area backbone path (irrespective of cost). That was solve this problem – trying to think if it would create any. I’ve included the network topology again for reference.

Others, please chime in..
[A screenshot of a video game  Description automatically generated]
Thanks,
Acee

From: Sergey SHpenkov <[email-masked]>
Date: Wednesday, March 4, 2020 at 6:05 AM
To: Acee Lindem <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [Lsr] Question about OSPF (transit area routing loop)

Hi Acee,

To solve this problem, before starting 16.3, it is possible that all ABR
routers (virtual endpoints) should update the cost of routes for all ASBRs (if
these routes exist in the backbone area) from all virtual neighbors in the
transit area, regardless of whether these costs have been improved or
worsened.

It is a bad idea?

Thanks,
Sergey

вт, 3 мар. 2020 г. в 21:58, Sergey SHpenkov <[email-masked]<mailto:[email-masked]>>:
Hi Acee,

To solve this problem, before starting 16.3, it is possible that all ABR routers (virtual endpoints) should update the cost of routes for ABRS (if these routes exist in the backbone area) from all virtual neighbors in the transit area, regardless of whether these costs have been improved or worsened.

For example, router ABR_3 first checks sumLSA-4 from virtual neighbor ABR_1 in the transit area 0.0.0.200 and updates the cost for ABRS to 300 in the backbone area. After that, the calculation begins on the router ABR_3 16.3.

It is a bad idea? :)

Thansk,
Sergey

пн, 2 мар. 2020 г. в 00:51, Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>>:
Hi Sergey,
Seems it is a real problem that needs a solution. Let’s continue the discussion.
Thanks,
Acee

From: Sergey SHpenkov <[email-masked]<mailto:[email-masked]>>
Date: Sunday, March 1, 2020 at 4:41 PM
To: Acee Lindem <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Lsr] Question about OSPF (transit area routing loop)

Hi Acee,

Please tell me the discussion on the topic of "Question about OSPF (transit area routing loop)" can be considered complete?

Thanks,
Sergey

---

From: Christian Hopps <[email-masked]>
Date: Sun, 8 Mar 2020 07:26:14 -0400

Why does ABR_1 create a summary LSA to ASBR using the more expensive non-backbone path? This would seem to violate 12.4.3:

    Else, if the destination of this route is an AS boundary
    router, a summary-LSA should be originated if and only
    if the routing table entry describes the preferred path
    to the AS boundary router (see Step 3 of Section 16.4).
    If so, a Type 4 summary-LSA is originated for the
    destination, with Link State ID equal to the AS boundary
    router's Router ID and metric equal to the routing table
    entry's cost. Note: these LSAs should not be generated
    if Area A has been configured as a stub area.

But even so, why is ABR_1 even looking at a cost 300 path to summarize, why would it not be looking at the cost 1 path it has through the backbone? That's the path that ABR_3 has chosen when it forwarded towards ABR_1 through RT_1, right?

Thanks,
Chris.

> On Feb 26, 2020, at 2:19 AM, Sergey SHpenkov <[email-masked]> wrote:
> 
> Acee,
> 
> Because ABR_1 creates SumLSA-4 for the ASBR not from the backbone area. The cost of SumLSA-4 for ASBR is 300.
> 
> Thanks,
> Sergey
> 
> вт, 25 февр. 2020 г. в 22:44, Acee Lindem (acee) <[email-masked]>:
> Hi Sergey,
> 
> I don’t see why RT_1 wouldn’t go through ABR_1 to get to the ASBR.
> 
> Thanks,
> 
> Acee
> 
>  
> 
> From: Lsr <[email-masked]> on behalf of Sergey SHpenkov <[email-masked]>
> Date: Tuesday, February 25, 2020 at 2:38 PM
> To: "lsr@ietf..org" <[email-masked]>
> Subject: [Lsr] Question about OSPF (transit area routing loop)
> 
>  
> 
> Hi,
> 
> In section 16.3 of the OSPF RFC 2328 standard, it is stated that all ABR routers
> 
> connected to a transit area are required to check the sumLSA contained within
> 
> this area in order to possibly improve the intra-area and inter-area backbone routes
> 
> for themselves.
> 
> 
> See the picture:
> The RT_1 and ABR_3 routers will use different paths to the ASBR router:
> 
> ABR_3 -> RT_1 -> ABR_1 -> ASBR = cost 3
> RT_1 -> ABR_3 -> ABR_2 -> ASBR = cost 21
> 
> route loop between RT_1 and ABR_3
> 
> Please explain this situation
> 
> Thanks,
> Sergey
> 
>  
> 
> _______________________________________________
> Lsr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lsr

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Sun, 8 Mar 2020 13:20:39 +0000

Hi Chris, 

On 3/8/20, 7:26 AM, "Lsr on behalf of Christian Hopps" <[email-masked] on behalf of [email-masked]> wrote:

    

Based on RFC 2328, section 16.4.1, intra-area paths through non-backbone areas are preferred over backbone paths. 
This counter intuitive preference was added way back in the late 90s to resolve a different routing loop with virtual links (refer to RFC 2328, Appendix G.2). Sigh - if we ever did OSPFv4, I'd remove virtual links. 

Thanks,
Acee
    
    Thanks,
    Chris.

---

From: "Aijun Wang" <[email-masked]>
Date: Wed, 11 Mar 2020 18:45:54 +0800

Hi, Sergey:

If so, ABR-3 should also receive this SumLSA-4 for the ASBR(with cost 300), and then prefer the path via ABR-2 to reach ASBR(with cost 20).

Then there will be no loop then?

Or, how many SumLAS-4 will be advertised by ABR-1? If it selects and advertises only one (3 or 300), then the loop will not be emerged. 

Currently, it seems it advertises this SumLAS-4 with the cost 300 to RT_1 and with the cost 3 to ABR-3?

Best Regards.

Aijun Wang

China Telecom

发件人: [email-masked] [mailto:[email-masked]] 代表 Sergey SHpenkov
发送时间: 2020年2月26日 15:20
收件人: [email-masked]
主题: Re: [Lsr] Question about OSPF (transit area routing loop)

Acee,

Thanks,

Sergey

Hi Sergey, 

Thanks,

Acee

From: Lsr <[email-masked]> on behalf of Sergey SHpenkov <[email-masked]>
Date: Tuesday, February 25, 2020 at 2:38 PM
To: "lsr@ietf..org <mailto:[email-masked]> " <[email-masked]>
Subject: [Lsr] Question about OSPF (transit area routing loop)

Hi,

for themselves.

See the picture:

Thanks,
Sergey

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Wed, 11 Mar 2020 19:29:34 +0000

Hi Aijun,
Yes – it seems ASBR-2 should be removed from the diagram.
Thanks,
Acee

From: Lsr <[email-masked]> on behalf of Aijun Wang <[email-masked]>
Date: Wednesday, March 11, 2020 at 6:48 AM
To: 'Sergey SHpenkov' <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: [Lsr] 答复: Question about OSPF (transit area routing loop)

Hi, Sergey:

Best Regards.

Aijun Wang
China Telecom

Acee,

Thanks,
Sergey

вт, 25 февр. 2020 г. в 22:44, Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>>:
Hi Sergey,
I don’t see why RT_1 wouldn’t go through ABR_1 to get to the ASBR.
Thanks,
Acee

From: Lsr <[email-masked]<mailto:[email-masked]>> on behalf of Sergey SHpenkov <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, February 25, 2020 at 2:38 PM
To: "lsr@ietf..org<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [Lsr] Question about OSPF (transit area routing loop)

Hi,

See the picture:

Thanks,
Sergey

---

From: Sergey SHpenkov <[email-masked]>
Date: Wed, 11 Mar 2020 23:31:24 +0300

Hi Aijun,

ср, 11 мар. 2020 г. в 13:46, Aijun Wang <[email-masked]>:

> Hi, Sergey:
>
>
>
> If so, ABR-3 should also receive this SumLSA-4 for the ASBR(with cost
> 300), and then prefer the path via ABR-2 to reach ASBR(with cost 20).
>
no, because sumLSA-4 in step 16.3 will be less preferred for ABR_3 than
previously calculated using the Dijkstra algorithm (with cost 3)

>
>
> Or, how many SumLAS-4 will be advertised by ABR-1? If it selects and
> advertises only one (3 or 300), then the loop will not be emerged.
>
only one with a cost of 300

>
>
> Best Regards.
>
>
>
> Aijun Wang
>
> China Telecom
>
>
>
> *发件人:* [email-masked] [mailto:[email-masked]] *代表 *Sergey
> SHpenkov
> *发送时间:* 2020年2月26日 15:20
> *收件人:* [email-masked]
> *主题:* Re: [Lsr] Question about OSPF (transit area routing loop)
>
>
>
> Acee,
>
>
>
> Because ABR_1 creates SumLSA-4 for the ASBR not from the backbone
> area. The cost of SumLSA-4 for ASBR is 300.
>
>
>
> Thanks,
>
> Sergey
>
>
>
> *From: *Lsr <[email-masked]> on behalf of Sergey SHpenkov <
> [email-masked]>
> *Date: *Tuesday, February 25, 2020 at 2:38 PM
> *To: *"lsr@ietf..org <[email-masked]>" <[email-masked]>
> *Subject: *[Lsr] Question about OSPF (transit area routing loop)
>
>
>
> Hi,
>

---

From: "Aijun Wang" <[email-masked]>
Date: Thu, 12 Mar 2020 09:21:45 +0800

Hi, Sergey:

ABR-1 advertised the less optimal route information to other routers(in virtual link environment, for avoiding other possible loop scenario, mentioned in G.2 of RFC 2328 as pointed out by Acee), then the other end(ABR-3) of the virtual link should also prefer this less optimal route information.

This is similar to your proposal at https://mailarchive.ietf.org/arch/browse/lsr/?gbt=1 <https://mailarchive.ietf.org/arch/browse/lsr/?gbt=1&index=rPZK_euJTkK0TcRhnI-l1sehxRA> &index=rPZK_euJTkK0TcRhnI-l1sehxRA

On the other hand, is it necessary to build another virtual link between  ABR-2 and ABR-3 in your topology, or else the traffic between ASBR and ABR-3 will be unidirectional? (ASBR can reach the ABR-3, but ABR-3 can’t reach the ASBR?)

Best Regards.

Aijun Wang

China Telecom 

发送时间: 2020年3月12日 4:31
收件人: Aijun Wang
抄送: [email-masked]

Hi Aijun,

Hi, Sergey:

no, because sumLSA-4 in step 16.3 will be less preferred for ABR_3 than previously calculated using the Dijkstra algorithm (with cost 3) 

Best Regards.

Aijun Wang

China Telecom

Acee,

Thanks,

Sergey

Hi Sergey, 

Thanks,

Acee

From: Lsr <[email-masked]> on behalf of Sergey SHpenkov <[email-masked]>
Date: Tuesday, February 25, 2020 at 2:38 PM
To: "lsr@ietf..org <mailto:[email-masked]> " <lsr@ietf..org <mailto:[email-masked]> >
Subject: [Lsr] Question about OSPF (transit area routing loop)

Hi,

for themselves.

See the picture:

Thanks,
Sergey

---

From: Sergey SHpenkov <[email-masked]>
Date: Fri, 13 Mar 2020 00:40:28 +0300

Hi, Aijun

чт, 12 мар. 2020 г. в 04:21, Aijun Wang <[email-masked]>:

> Hi, Sergey:
>
>
>
> ABR-1 advertised the less optimal route information to other routers(in
> virtual link environment, for avoiding other possible loop scenario,
> mentioned in G.2 of RFC 2328 as pointed out by Acee), then the other
> end(ABR-3) of the virtual link should also prefer this less optimal route
> information.
>
> This is similar to your proposal at
> https://mailarchive.ietf.org/arch/browse/lsr/?gbt=1&index=rPZK_euJTkK0TcRhnI-l1sehxRA
>
>
>
> On the other hand, is it necessary to build another virtual link between
>  ABR-2 and ABR-3 in your topology, or else the traffic between ASBR and
> ABR-3 will be unidirectional? (ASBR can reach the ABR-3, but ABR-3 can’t
> reach the ASBR?)
>
>
>
If create another virtual link between ABR_2 and ABR_3 the path from ABR_3
to ASBR in this topology will not change.

> *发送时间:* 2020年3月12日 4:31
> *收件人:* Aijun Wang
> *抄送:* [email-masked]
> *To: *"lsr@ietf..org <[email-masked]>" <lsr@ietf..org <[email-masked]>>